Subject: Re: [PATCH 2/5] powerpc/cell: Drop support for 64K local store on 4K kernels

From: Jeremy Kerr <[email-masked]>
Date: Mon, 10 Aug 2015 16:14:09 +0800

Hi Michael,

> Back in the olden days we added support for using 64K pages to map the
> SPU (Synergistic Processing Unit) local store on Cell, when the main
> kernel was using 4K pages.
> 
> This was useful at the time because distros were using 4K pages, but
> using 64K pages on the SPUs could reduce TLB pressure there.
> 
> However these days the number of Cell users is approaching zero, and
> supporting this option adds unpleasant complexity to the memory
> management code.
> 
> So drop the option, CONFIG_SPU_FS_64K_LS, and all related code.

Yep, I'd be happy to drop this - impact should be little to none.

Acked-by: Jeremy Kerr <[email-masked]>

Cheers,

Jeremy